Attribute VB_Name = "basFish"
' ------------------------------------------------------------------------------
'
' basFish(FishRT6.Bas)                                    Ulrich Mller 25.01.99
'                                                         Procida 400NT    VB6.0
' Konstanten fr die Nutzung von FishFace Funktionen
' Aufruf Interface Panel, Version fr WinNT
'
' ------------------------------------------------------------------------------

Option Explicit

Private Declare Function GetTickCount Lib "kernel32" () As Long

Private ft As clsFishFace

Sub Main()

' --- Anzeige Interface Panel ---

Dim PortName$, res&

On Error GoTo BumS
  
  Set ft = New clsFishFace
  GetPortParm PortName
  res = ft.OpenInterface(PortName)
  If res <> ftiFehler Then
    ft.ShowPanel
    Do
      DoEvents
    Loop While ft.PanelEnabled
    ft.CloseInterface
  Else
    MsgBox "Interface Problem " & PortName, vbCritical + vbOKOnly, "fischertechnik Interface"
  End If
  Set ft = Nothing
  End
BumS:
  MsgBox "Interface Problem " & Err.Number & " : " & Err.Description
  End
End Sub


Private Sub GetPortParm(PortName$)

' --- Ermitteln von Portname und bei LPT ggf. Setzen des OutputDelay --

Dim w$, i%

  w = "LPT2"
  
  If Len(Command$) > 3 Then
    w = Command$
  Else
    w = InputBox("I/O-Port : COM1 - COM4, LPT1 - LPT3." & vbCrLf & "LPT :  + OutputDelay" & vbCrLf & " (default = 3 (Pentium 90 - 200 : LPT1,03))", "fischertechnik Interface", "LPT2")
  End If
  w = UCase(w)
  
  If Len(w) < 4 Then
    PortName = "LPT"
  Else
    If Left(w, 3) = "COM" Or Left(w, 3) = "LPT" Then
      PortName = Left(w, 4)
    End If
    If Len(w) = 7 And Left(PortName, 3) = "LPT" Then
      i = Val(Right(w, 2))
      If i > 0 Then ft.OutputDelay = i
    End If
  End If
  
End Sub
